diff --git a/koji/auth.py b/koji/auth.py
index b935b08..ae74d85 100644
--- a/koji/auth.py
+++ b/koji/auth.py
@@ -77,7 +77,7 @@ class Session(object):
             id = long(args['session-id'][0])
             key = args['session-key'][0]
         except KeyError, field:
-            raise koji.AuthError, '%s not specified in session args' % field
+            raise koji.AuthError('%s not specified in session args' % field)
         try:
             callnum = args['callnum'][0]
         except:
@@ -107,22 +107,22 @@ class Session(object):
         c.execute(q, locals())
         row = c.fetchone()
         if not row:
-            raise koji.AuthError, 'Invalid session or bad credentials'
+            raise koji.AuthError('Invalid session or bad credentials')
         session_data = dict(zip(aliases, row))
         #check for expiration
         if session_data['expired']:
-            raise koji.AuthExpired, 'session "%i" has expired' % id
+            raise koji.AuthExpired('session "%i" has expired' % id)
         #check for callnum sanity
         if callnum is not None:
             try:
                 callnum = int(callnum)
             except (ValueError, TypeError):
-                raise koji.AuthError, "Invalid callnum: %r" % callnum
+                raise koji.AuthError("Invalid callnum: %r" % callnum)
             lastcall = session_data['callnum']
             if lastcall is not None:
                 if lastcall > callnum:
-                    raise koji.SequenceError, "%d > %d (session %d)" \
-                            % (lastcall, callnum, id)
+                    raise koji.SequenceError("%d > %d (session %d)" \
+                            % (lastcall, callnum, id))
                 elif lastcall == callnum:
                     #Some explanation:
                     #This function is one of the few that performs its own commit.
@@ -134,9 +134,9 @@ class Session(object):
                     #return. Data was changed, so we cannot simply try the call again.
                     method = getattr(context, 'method', 'UNKNOWN')
                     if method not in RetryWhitelist:
-                        raise koji.RetryError, \
+                        raise koji.RetryError(
                             "unable to retry call %d (method %s) for session %d" \
-                            % (callnum, method, id)
+                            % (callnum, method, id))
 
         # read user data
         #historical note:
@@ -149,7 +149,7 @@ class Session(object):
         user_data = dict(zip(fields, c.fetchone()))
 
         if user_data['status'] != koji.USER_STATUS['NORMAL']:
-            raise koji.AuthError, 'logins by %s are not allowed' % user_data['name']
+            raise koji.AuthError('logins by %s are not allowed' % user_data['name'])
         #check for exclusive sessions
         if session_data['exclusive']:
             #we are the exclusive session for this user
@@ -218,7 +218,7 @@ class Session(object):
                 self._host_id = self._getHostId()
             return self._host_id
         else:
-            raise AttributeError, "%s" % name
+            raise AttributeError("%s" % name)
 
     def __str__(self):
         # convenient display for debugging
@@ -232,7 +232,7 @@ class Session(object):
 
     def validate(self):
         if self.lockerror:
-            raise koji.AuthLockError, self.lockerror
+            raise koji.AuthLockError(self.lockerror)
         return True
 
     def get_remote_ip(self, override=None):
@@ -254,20 +254,20 @@ class Session(object):
         cursor.execute(query, locals())
         result = cursor.fetchone()
         if not result:
-            raise koji.AuthError, 'invalid user_id: %s' % user_id
+            raise koji.AuthError('invalid user_id: %s' % user_id)
         name, usertype, status = result
 
         if status != koji.USER_STATUS['NORMAL']:
-            raise koji.AuthError, 'logins by %s are not allowed' % name
+            raise koji.AuthError('logins by %s are not allowed' % name)
 
     def login(self, user, password, opts=None):
         """create a login session"""
         if opts is None:
             opts = {}
         if not isinstance(password, str) or len(password) == 0:
-            raise koji.AuthError, 'invalid username or password'
+            raise koji.AuthError('invalid username or password')
         if self.logged_in:
-            raise koji.GenericError, "Already logged in"
+            raise koji.GenericError("Already logged in")
         hostip = self.get_remote_ip(override=opts.get('hostip'))
 
         # check passwd
@@ -277,7 +277,7 @@ class Session(object):
         c.execute(q, locals())
         r = c.fetchone()
         if not r:
-            raise koji.AuthError, 'invalid username or password'
+            raise koji.AuthError('invalid username or password')
         user_id = r[0]
 
         self.checkLoginAllowed(user_id)
@@ -295,10 +295,10 @@ class Session(object):
         Kerberos principal.  The principal must be an authorized
         "proxy_principal" in the server config."""
         if self.logged_in:
-            raise koji.AuthError, "Already logged in"
+            raise koji.AuthError("Already logged in")
 
         if not (context.opts.get('AuthPrincipal') and context.opts.get('AuthKeytab')):
-            raise koji.AuthError, 'not configured for Kerberos authentication'
+            raise koji.AuthError('not configured for Kerberos authentication')
 
         ctx = krbV.default_context()
         srvprinc = krbV.Principal(name=context.opts.get('AuthPrincipal'), context=ctx)
@@ -322,8 +322,8 @@ class Session(object):
             if cprinc.name in proxyprincs:
                 login_principal = proxyuser
             else:
-                raise koji.AuthError, \
-                      'Kerberos principal %s is not authorized to log in other users' % cprinc.name
+                raise koji.AuthError(
+                      'Kerberos principal %s is not authorized to log in other users' % cprinc.name)
         else:
             login_principal = cprinc.name
         user_id = self.getUserIdFromKerberos(login_principal)
@@ -331,7 +331,7 @@ class Session(object):
             if context.opts.get('LoginCreatesUser'):
                 user_id = self.createUserFromKerberos(login_principal)
             else:
-                raise koji.AuthError, 'Unknown Kerberos principal: %s' % login_principal
+                raise koji.AuthError('Unknown Kerberos principal: %s' % login_principal)
 
         self.checkLoginAllowed(user_id)
 
@@ -372,7 +372,7 @@ class Session(object):
 
     def sslLogin(self, proxyuser=None):
         if self.logged_in:
-            raise koji.AuthError, "Already logged in"
+            raise koji.AuthError("Already logged in")
 
         if context.environ.get('REMOTE_USER'):
             username = context.environ.get('REMOTE_USER')
@@ -380,12 +380,12 @@ class Session(object):
             authtype = koji.AUTHTYPE_GSSAPI
         else:
             if context.environ.get('SSL_CLIENT_VERIFY') != 'SUCCESS':
-                raise koji.AuthError, 'could not verify client: %s' % context.environ.get('SSL_CLIENT_VERIFY')
+                raise koji.AuthError('could not verify client: %s' % context.environ.get('SSL_CLIENT_VERIFY'))
 
             name_dn_component = context.opts.get('DNUsernameComponent', 'CN')
             username = context.environ.get('SSL_CLIENT_S_DN_%s' % name_dn_component)
             if not username:
-                raise koji.AuthError, 'unable to get user information (%s) from client certificate' % name_dn_component
+                raise koji.AuthError('unable to get user information (%s) from client certificate' % name_dn_component)
             client_dn = context.environ.get('SSL_CLIENT_S_DN')
             authtype = koji.AUTHTYPE_SSL
 
@@ -395,7 +395,7 @@ class Session(object):
                 # the SSL-authenticated user authorized to login other users
                 username = proxyuser
             else:
-                raise koji.AuthError, '%s is not authorized to login other users' % client_dn
+                raise koji.AuthError('%s is not authorized to login other users' % client_dn)
 
         cursor = context.cnx.cursor()
         query = """SELECT id FROM users
@@ -408,7 +408,7 @@ class Session(object):
             if context.opts.get('LoginCreatesUser'):
                 user_id = self.createUser(username)
             else:
-                raise koji.AuthError, 'Unknown user: %s' % username
+                raise koji.AuthError('Unknown user: %s' % username)
 
         self.checkLoginAllowed(user_id)
 
@@ -421,10 +421,10 @@ class Session(object):
         """Make this session exclusive"""
         c = context.cnx.cursor()
         if self.master is not None:
-            raise koji.GenericError, "subsessions cannot become exclusive"
+            raise koji.GenericError("subsessions cannot become exclusive")
         if self.exclusive:
             #shouldn't happen
-            raise koji.GenericError, "session is already exclusive"
+            raise koji.GenericError("session is already exclusive")
         user_id = self.user_id
         session_id = self.id
         #acquire a row lock on the user entry
@@ -443,7 +443,7 @@ class Session(object):
                 q = """UPDATE sessions SET expired=TRUE,"exclusive"=NULL WHERE id=%(excl_id)s"""
                 c.execute(q, locals())
             else:
-                raise koji.AuthLockError, "Cannot get exclusive session"
+                raise koji.AuthLockError("Cannot get exclusive session")
         #mark this session exclusive
         q = """UPDATE sessions SET "exclusive"=TRUE WHERE id=%(session_id)s"""
         c.execute(q, locals())
@@ -461,7 +461,7 @@ class Session(object):
         """expire a login session"""
         if not self.logged_in:
             #XXX raise an error?
-            raise koji.AuthError, "Not logged in"
+            raise koji.AuthError("Not logged in")
         update = """UPDATE sessions
         SET expired=TRUE,exclusive=NULL
         WHERE id = %(id)i OR master = %(id)i"""
@@ -475,7 +475,7 @@ class Session(object):
         """expire a subsession"""
         if not self.logged_in:
             #XXX raise an error?
-            raise koji.AuthError, "Not logged in"
+            raise koji.AuthError("Not logged in")
         update = """UPDATE sessions
         SET expired=TRUE,exclusive=NULL
         WHERE id = %(session_id)i AND master = %(master)i"""
@@ -517,7 +517,7 @@ class Session(object):
     def subsession(self):
         "Create a subsession"
         if not self.logged_in:
-            raise koji.AuthError, "Not logged in"
+            raise koji.AuthError("Not logged in")
         master = self.master
         if master is None:
             master = self.id
@@ -536,11 +536,11 @@ class Session(object):
 
     def assertPerm(self, name):
         if not self.hasPerm(name) and not self.hasPerm('admin'):
-            raise koji.ActionNotAllowed, "%s permission required" % name
+            raise koji.ActionNotAllowed("%s permission required" % name)
 
     def assertLogin(self):
         if not self.logged_in:
-            raise koji.ActionNotAllowed, "you must be logged in for this operation"
+            raise koji.ActionNotAllowed("you must be logged in for this operation")
 
     def hasGroup(self, group_id):
         if not self.logged_in:
@@ -555,7 +555,7 @@ class Session(object):
 
     def assertUser(self, user_id):
         if not self.isUser(user_id) and not self.hasPerm('admin'):
-            raise koji.ActionNotAllowed, "not owner"
+            raise koji.ActionNotAllowed("not owner")
 
     def _getHostId(self):
         '''Using session data, find host id (if there is one)'''
@@ -594,17 +594,17 @@ class Session(object):
         Return the user_id of the newly-created user.
         """
         if not name:
-            raise koji.GenericError, 'a user must have a non-empty name'
+            raise koji.GenericError('a user must have a non-empty name')
 
         if usertype == None:
             usertype = koji.USERTYPES['NORMAL']
         elif not koji.USERTYPES.get(usertype):
-            raise koji.GenericError, 'invalid user type: %s' % usertype
+            raise koji.GenericError('invalid user type: %s' % usertype)
 
         if status == None:
             status = koji.USER_STATUS['NORMAL']
         elif not koji.USER_STATUS.get(status):
-            raise koji.GenericError, 'invalid status: %s' % status
+            raise koji.GenericError('invalid status: %s' % status)
 
         cursor = context.cnx.cursor()
         select = """SELECT nextval('users_id_seq')"""
@@ -627,7 +627,7 @@ class Session(object):
         r = cursor.fetchall()
         if len(r) != 1:
             context.cnx.rollback()
-            raise koji.AuthError, 'could not automatically associate Kerberos Principal with existing user %s' % (name,)
+            raise koji.AuthError('could not automatically associate Kerberos Principal with existing user %s' % name)
         else:
             context.cnx.commit()
             return r[0][0]
@@ -638,7 +638,7 @@ class Session(object):
         Return the ID of the newly created user."""
         atidx = krb_principal.find('@')
         if atidx == -1:
-            raise koji.AuthError, 'invalid Kerberos principal: %s' % krb_principal
+            raise koji.AuthError('invalid Kerberos principal: %s' % krb_principal)
         user_name = krb_principal[:atidx]
 
         # check if user already exists
@@ -652,7 +652,7 @@ class Session(object):
         else:
             existing_user_krb = r[0]
             if existing_user_krb is not None:
-                raise koji.AuthError, 'user %s already associated with other Kerberos principal: %s' % (user_name, existing_user_krb)
+                raise koji.AuthError('user %s already associated with other Kerberos principal: %s' % (user_name, existing_user_krb))
             return self.setKrbPrincipal(user_name, krb_principal)
 
 def get_user_groups(user_id):
diff --git a/koji/compatrequests.py b/koji/compatrequests.py
index 7f6a14d..5d77bf3 100644
--- a/koji/compatrequests.py
+++ b/koji/compatrequests.py
@@ -90,7 +90,7 @@ class Session(object):
             cnxOpts = {}
             cnxClass = httplib.HTTPConnection
         else:
-            raise IOError, "unsupported protocol: %s" % scheme
+            raise IOError("unsupported protocol: %s" % scheme)
 
         timeout_compat = False
         if timeout:
diff --git a/koji/daemon.py b/koji/daemon.py
index 4882a1c..db0ad01 100644
--- a/koji/daemon.py
+++ b/koji/daemon.py
@@ -207,7 +207,7 @@ class SCM(object):
         self.logger = logging.getLogger('koji.build.SCM')
 
         if not SCM.is_scm_url(url):
-            raise koji.GenericError, 'Invalid SCM URL: %s' % url
+            raise koji.GenericError('Invalid SCM URL: %s' % url)
 
         self.url = url
         scheme, user, host, path, query, fragment = self._parse_url()
@@ -227,7 +227,7 @@ class SCM(object):
                 break
         else:
             # should never happen
-            raise koji.GenericError, 'Invalid SCM URL: %s' % url
+            raise koji.GenericError('Invalid SCM URL: %s' % url)
 
     def _parse_url(self):
         """
@@ -253,10 +253,10 @@ class SCM(object):
                 # Don't return an empty string
                 user = None
             elif ':' in user:
-                raise koji.GenericError, 'username:password format not supported: %s' % user
+                raise koji.GenericError('username:password format not supported: %s' % user)
             netloc = userhost[1]
         elif len(userhost) > 2:
-            raise koji.GenericError, 'Invalid username@hostname specified: %s' % netloc
+            raise koji.GenericError('Invalid username@hostname specified: %s' % netloc)
 
         # ensure that path and query do not end in /
         if path.endswith('/'):
@@ -266,15 +266,15 @@ class SCM(object):
 
         # check for validity: params should be empty, query may be empty, everything else should be populated
         if params:
-            raise koji.GenericError, 'Unable to parse SCM URL: %s . Params element %s should be empty.' % (self.url, params)
+            raise koji.GenericError('Unable to parse SCM URL: %s . Params element %s should be empty.' % (self.url, params))
         if not scheme:
-            raise koji.GenericError, 'Unable to parse SCM URL: %s . Could not find the scheme element.' % self.url
+            raise koji.GenericError('Unable to parse SCM URL: %s . Could not find the scheme element.' % self.url)
         if not netloc:
-            raise koji.GenericError, 'Unable to parse SCM URL: %s . Could not find the netloc element.' % self.url
+            raise koji.GenericError('Unable to parse SCM URL: %s . Could not find the netloc element.' % self.url)
         if not path:
-            raise koji.GenericError, 'Unable to parse SCM URL: %s . Could not find the path element.' % self.url
+            raise koji.GenericError('Unable to parse SCM URL: %s . Could not find the path element.' % self.url)
         if not fragment:
-            raise koji.GenericError, 'Unable to parse SCM URL: %s . Could not find the fragment element.' % self.url
+            raise koji.GenericError('Unable to parse SCM URL: %s . Could not find the fragment element.' % self.url)
 
         # return parsed values
         return (scheme, user, netloc, path, query, fragment)
@@ -315,7 +315,7 @@ class SCM(object):
             else:
                 self.logger.warn('Ignoring incorrectly formatted SCM host:repository: %s' % allowed_scm)
         else:
-            raise koji.BuildError, '%s:%s is not in the list of allowed SCMs' % (self.host, self.repository)
+            raise koji.BuildError('%s:%s is not in the list of allowed SCMs' % (self.host, self.repository))
 
     def checkout(self, scmdir, session=None, uploadpath=None, logfile=None):
         """
@@ -344,8 +344,8 @@ class SCM(object):
                 _count[0] += 1
                 if log_output(session, cmd[0], cmd, logfile, uploadpath,
                               cwd=chdir, logerror=1, append=append, env=env):
-                    raise koji.BuildError, 'Error running %s command "%s", see %s for details' % \
-                        (self.scmtype, ' '.join(cmd), os.path.basename(logfile))
+                    raise koji.BuildError('Error running %s command "%s", see %s for details' % \
+                        (self.scmtype, ' '.join(cmd), os.path.basename(logfile)))
 
         if self.scmtype == 'CVS':
             pserver = ':pserver:%s@%s:%s' % ((self.user or 'anonymous'), self.host, self.repository)
@@ -354,7 +354,7 @@ class SCM(object):
 
         elif self.scmtype == 'CVS+SSH':
             if not self.user:
-                raise koji.BuildError, 'No user specified for repository access scheme: %s' % self.scheme
+                raise koji.BuildError('No user specified for repository access scheme: %s' % self.scheme)
 
             cvsserver = ':ext:%s@%s:%s' % (self.user, self.host, self.repository)
             module_checkout_cmd = ['cvs', '-d', cvsserver, 'checkout', '-r', self.revision, self.module]
@@ -392,7 +392,7 @@ class SCM(object):
 
         elif self.scmtype == 'GIT+SSH':
             if not self.user:
-                raise koji.BuildError, 'No user specified for repository access scheme: %s' % self.scheme
+                raise koji.BuildError('No user specified for repository access scheme: %s' % self.scheme)
             gitrepo = 'git+ssh://%s@%s%s' % (self.user, self.host, self.repository)
             commonrepo = os.path.dirname(gitrepo) + '/common'
             checkout_path = os.path.basename(self.repository)
@@ -429,14 +429,14 @@ class SCM(object):
 
         elif self.scmtype == 'SVN+SSH':
             if not self.user:
-                raise koji.BuildError, 'No user specified for repository access scheme: %s' % self.scheme
+                raise koji.BuildError('No user specified for repository access scheme: %s' % self.scheme)
 
             svnserver = 'svn+ssh://%s@%s%s' % (self.user, self.host, self.repository)
             module_checkout_cmd = ['svn', 'checkout', '-r', self.revision, '%s/%s' % (svnserver, self.module), self.module]
             common_checkout_cmd = ['svn', 'checkout', '%s/common' % svnserver]
 
         else:
-            raise koji.BuildError, 'Unknown SCM type: %s' % self.scmtype
+            raise koji.BuildError('Unknown SCM type: %s' % self.scmtype)
 
         # perform checkouts
         _run(module_checkout_cmd, chdir=scmdir, fatal=True)
@@ -719,7 +719,7 @@ class TaskManager(object):
                 #  - task is forcibly reassigned/unassigned
                 tinfo = self.session.getTaskInfo(id)
                 if tinfo is None:
-                    raise koji.GenericError, "Invalid task %r (pid %r)" % (id, pid)
+                    raise koji.GenericError("Invalid task %r (pid %r)" % (id, pid))
                 elif tinfo['state'] == koji.TASK_STATES['CANCELED']:
                     self.logger.info("Killing canceled task %r (pid %r)" % (id, pid))
                     if self.cleanupTask(id):
@@ -808,7 +808,7 @@ class TaskManager(object):
                     return True
             else:
                 #should not happen
-                raise Exception, "Invalid task state reported by server"
+                raise Exception("Invalid task state reported by server")
         return False
 
     def checkRelAvail(self, bin_avail, avail):
@@ -829,7 +829,7 @@ class TaskManager(object):
         if pid is None:
             pid = self.pids.get(task_id)
             if not pid:
-                raise koji.GenericError, "No pid for task %i" % task_id
+                raise koji.GenericError("No pid for task %i" % task_id)
         prefix = "Task %i (pid %i)" % (task_id, pid)
         try:
             (childpid, status) = os.waitpid(pid, os.WNOHANG)
@@ -974,7 +974,7 @@ class TaskManager(object):
         """
         pid = self.pids.get(task_id)
         if not pid:
-            raise koji.GenericError, "No pid for task %i" % task_id
+            raise koji.GenericError("No pid for task %i" % task_id)
         children = self._childPIDs(pid)
         if children:
             # send SIGINT once to let mock mock try to clean up
@@ -1006,7 +1006,7 @@ class TaskManager(object):
         br_path = self.options.mockdir
         if not os.path.exists(br_path):
             self.logger.error("No such directory: %s" % br_path)
-            raise IOError, "No such directory: %s" % br_path
+            raise IOError("No such directory: %s" % br_path)
         fs_stat = os.statvfs(br_path)
         available = fs_stat.f_bavail * fs_stat.f_bsize
         availableMB = available / 1024 / 1024
@@ -1079,7 +1079,7 @@ class TaskManager(object):
         if self.handlers.has_key(method):
             handlerClass = self.handlers[method]
         else:
-            raise koji.GenericError, "No handler found for method '%s'" % method
+            raise koji.GenericError("No handler found for method '%s'" % method)
         task_info = self.session.getTaskInfo(task['id'], request=True)
         if task_info.get('request') is None:
             self.logger.warn("Task '%s' has no request" % task['id'])
diff --git a/koji/db.py b/koji/db.py
index 8c0bba6..f7fe8e1 100644
--- a/koji/db.py
+++ b/koji/db.py
@@ -57,19 +57,19 @@ class DBWrapper:
 
     def __getattr__(self, key):
         if not self.cnx:
-            raise StandardError, 'connection is closed'
+            raise StandardError('connection is closed')
         return getattr(self.cnx, key)
 
     def cursor(self, *args, **kw):
         if not self.cnx:
-            raise StandardError, 'connection is closed'
+            raise StandardError('connection is closed')
         return CursorWrapper(self.cnx.cursor(*args, **kw))
 
     def close(self):
         # Rollback any uncommitted changes and clear the connection so
         # this DBWrapper is no longer usable after close()
         if not self.cnx:
-            raise StandardError, 'connection is closed'
+            raise StandardError('connection is closed')
         self.cnx.cursor().execute('ROLLBACK')
         #We do this rather than cnx.rollback to avoid opening a new transaction
         #If our connection gets recycled cnx.rollback will be called then.
diff --git a/koji/plugin.py b/koji/plugin.py
index 64e18ad..fe116b0 100644
--- a/koji/plugin.py
+++ b/koji/plugin.py
@@ -68,11 +68,11 @@ class PluginTracker(object):
             #(no '.' -- it causes problems)
             mod_name = self.prefix + name
         if sys.modules.has_key(mod_name) and not reload:
-            raise koji.PluginError, 'module name conflict: %s' % mod_name
+            raise koji.PluginError('module name conflict: %s' % mod_name)
         if path is None:
             path = self.searchpath
         if path is None:
-            raise koji.PluginError, "empty module search path"
+            raise koji.PluginError("empty module search path")
         file, pathname, description = imp.find_module(name, self.pathlist(path))
         try:
             plugin = imp.load_module(mod_name, file, pathname, description)
@@ -151,14 +151,14 @@ def ignore_error(f):
 
 def register_callback(cbtype, func):
     if not cbtype in callbacks:
-        raise koji.PluginError, '"%s" is not a valid callback type' % cbtype
+        raise koji.PluginError('"%s" is not a valid callback type' % cbtype)
     if not callable(func):
-        raise koji.PluginError, '%s is not callable' % getattr(func, '__name__', 'function')
+        raise koji.PluginError('%s is not callable' % getattr(func, '__name__', 'function'))
     callbacks[cbtype].append(func)
 
 def run_callbacks(cbtype, *args, **kws):
     if not cbtype in callbacks:
-        raise koji.PluginError, '"%s" is not a valid callback type' % cbtype
+        raise koji.PluginError('"%s" is not a valid callback type' % cbtype)
     for func in callbacks[cbtype]:
         try:
             func(cbtype, *args, **kws)
@@ -168,4 +168,4 @@ def run_callbacks(cbtype, *args, **kws):
                 logging.getLogger('koji.plugin').warn(msg, exc_info=True)
             else:
                 tb = ''.join(traceback.format_exception(*sys.exc_info()))
-                raise koji.CallbackError, '%s:\n%s' % (msg, tb)
+                raise koji.CallbackError('%s:\n%s' % (msg, tb))
diff --git a/koji/policy.py b/koji/policy.py
index 097656f..4e1bd61 100644
--- a/koji/policy.py
+++ b/koji/policy.py
@@ -73,7 +73,7 @@ class HasTest(BaseSimpleTest):
         try:
             self.field = str.split()[1]
         except IndexError:
-            raise koji.GenericError, "Invalid or missing field in policy test"
+            raise koji.GenericError("Invalid or missing field in policy test")
 
     def run(self, data):
         return self.field in data
@@ -161,7 +161,7 @@ class CompareTest(BaseSimpleTest):
             cmp, value = str.split(None, 2)[1:]
         self.func = self.operators.get(cmp, None)
         if self.func is None:
-            raise koji.GenericError, "Invalid comparison in test."
+            raise koji.GenericError("Invalid comparison in test.")
         try:
             self.value = int(value)
         except ValueError:
@@ -218,13 +218,13 @@ class SimpleRuleSet(object):
                 cursor = child
             elif action == '}':
                 if not stack:
-                    raise koji.GenericError, "nesting error in rule set"
+                    raise koji.GenericError("nesting error in rule set")
                 cursor = stack.pop()
             else:
                 cursor.append(rule)
         if stack:
             # unclosed {
-            raise koji.GenericError, "nesting error in rule set"
+            raise koji.GenericError("nesting error in rule set")
 
     def parse_line(self, line):
         """Parse line as a rule
@@ -259,7 +259,7 @@ class SimpleRuleSet(object):
         if pos == -1:
             pos = line.rfind('!!')
             if pos == -1:
-                raise Exception, "bad policy line: %s" % line
+                raise Exception("bad policy line: %s" % line)
             negate = True
         tests = line[:pos]
         action = line[pos+2:]
@@ -273,7 +273,7 @@ class SimpleRuleSet(object):
         try:
             return self.tests[name](str)
         except KeyError:
-            raise koji.GenericError, "missing test handler: %s" % name
+            raise koji.GenericError("missing test handler: %s" % name)
 
     def all_actions(self):
         """report a list of all actions in the ruleset
diff --git a/koji/server.py b/koji/server.py
index 60b29a9..9229bb6 100644
--- a/koji/server.py
+++ b/koji/server.py
@@ -118,12 +118,12 @@ class WSGIWrapper(object):
 
         we don't use the write() callable in koji, so it will raise an error if called
         """
-        raise RuntimeError, "wsgi write() callable not supported"
+        raise RuntimeError("wsgi write() callable not supported")
 
     def start_response(self, status, headers, exc_info=None):
         #XXX we don't deal with exc_info
         if self.set_headers:
-            raise RuntimeError, "start_response() already called"
+            raise RuntimeError("start_response() already called")
         self.req.status = int(status[:3])
         for key, val in headers:
             if key.lower() == 'content-length':
@@ -143,7 +143,7 @@ class WSGIWrapper(object):
         except:
             sys.stderr.write(''.join(traceback.format_exception(*sys.exc_info())))
             sys.stderr.flush()
-            raise apache.SERVER_RETURN, apache.HTTP_INTERNAL_SERVER_ERROR
+            raise apache.SERVER_RETURN(apache.HTTP_INTERNAL_SERVER_ERROR)
 
     def write_result(self, result):
         """called by run() to handle the application's result value"""
@@ -156,7 +156,7 @@ class WSGIWrapper(object):
             #slower version -- need to check for set_headers
             for chunk in result:
                 if chunk and not self.set_headers:
-                    raise RuntimeError, "write() called before start_response()"
+                    raise RuntimeError("write() called before start_response()")
                 write(chunk)
         if not req.bytes_sent:
             #application sent nothing back
diff --git a/koji/ssl/SSLCommon.py b/koji/ssl/SSLCommon.py
index 8b6d988..199a858 100644
--- a/koji/ssl/SSLCommon.py
+++ b/koji/ssl/SSLCommon.py
@@ -33,7 +33,7 @@ def CreateSSLContext(certs):
     peer_ca_cert = certs['peer_ca_cert']
     for f in key_and_cert, peer_ca_cert:
         if f and not os.access(f, os.R_OK):
-            raise StandardError, "%s does not exist or is not readable" % f
+            raise StandardError("%s does not exist or is not readable" % f)
 
     ctx = SSL.Context(SSL.SSLv23_METHOD)   # Use best possible TLS Method
     ctx.use_certificate_file(key_and_cert)
@@ -77,4 +77,4 @@ class PlgHTTPSConnection(httplib.HTTPConnection):
                 continue
             break
         else:
-            raise socket.error, "failed to connect"
+            raise socket.error("failed to connect")
